jQuery(document).ready(function($){
	$(document).on("change", "#category, #term", function(){
		if($("#class").val() !== "" && $("#category").val() !== "") {
			$("#"+ $(this).data("form")).submit();
		}
		if($("#class").val() == "all") {
			$("#category").val("");
			$("#"+ $(this).data("form")).submit();
		}
	})

	$(document).on("change", "#class", function(){
		$("#category").val("").trigger("chosen:updated");
	})
});